Documentation>C API
Data Fields
VlKMeans Struct Reference

K-means quantizer.

`#include <kmeans.h>`

## Data Fields

vl_type | dataType
vl_size | dimension
vl_size | numCenters
vl_size | numTrees
vl_size | maxNumComparisons
VlKMeansInitialization | initialization
VlKMeansAlgorithm | algorithm
VlVectorComparisonType | distance
vl_size | maxNumIterations
double | minEnergyVariation
vl_size | numRepetitions
int | verbosity
void * | centers
void * | centerDistances
double | energy

## Field Documentation

## ◆ algorithm

VlKMeansAlgorithm VlKMeans::algorithm

Clustring algorithm.

## ◆ centerDistances

void* VlKMeans::centerDistances

Centers inter-distances.

## ◆ centers

void* VlKMeans::centers

Centers

## ◆ dataType

vl_type VlKMeans::dataType

Data type.

## ◆ dimension

vl_size VlKMeans::dimension

Data dimensionality.

## ◆ distance

VlVectorComparisonType VlKMeans::distance

Distance.

## ◆ energy

double VlKMeans::energy

Current solution energy.

## ◆ initialization

VlKMeansInitialization VlKMeans::initialization

Initalization algorithm.

## ◆ maxNumComparisons

vl_size VlKMeans::maxNumComparisons

Maximum number of comparisons when using ANN-kmeans.

## ◆ maxNumIterations

vl_size VlKMeans::maxNumIterations

Maximum number of refinement iterations.

## ◆ minEnergyVariation

double VlKMeans::minEnergyVariation

Minimum energy variation.

## ◆ numCenters

vl_size VlKMeans::numCenters

Number of centers.

## ◆ numRepetitions

vl_size VlKMeans::numRepetitions

Number of clustering repetitions.

## ◆ numTrees

vl_size VlKMeans::numTrees

Number of trees in forest when using ANN-kmeans.

## ◆ verbosity

int VlKMeans::verbosity

Verbosity level.

The documentation for this struct was generated from the following file:

- kmeans.h